- libbson 1.13.1 »
- API Reference »
- bson_t

# bson_as_canonical_extended_json()

## Synopsis

    char *
    bson_as_canonical_extended_json (const bson_t *bson, size_t *length);

## Parameters

- `bson`: A bson_t.
- `length`: An optional location for the length of the resulting string.

## Description

The bson_as_canonical_extended_json() encodes `bson` as a UTF-8 string in the canonical MongoDB Extended JSON format.

The caller is responsible for freeing the resulting UTF-8 encoded string by calling bson_free() with the result.

If non-NULL, `length` will be set to the length of the result in bytes.

## Returns

If successful, a newly allocated UTF-8 encoded string and `length` is set.

Upon failure, NULL is returned.

## Example

    char *str = bson_as_canonical_extended_json (doc, NULL);
    printf ("%s\n", str);
    bson_free (str);

### See Also:

bson_array_as_json

bson_as_json

bson_as_relaxed_extended_json

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.